%define module_name Mojolicious-Plugin-Web-Auth
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/SHA.pm) perl(IO/Socket/SSL.pm) perl(Module/Build/Tiny.pm) perl(Mojolicious.pm) perl(Net/OAuth.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.17
Release: alt1
Summary: Authentication plugin for Mojolicious
Group: Development/Perl
License: perl
URL: https://github.com/hayajo/Mojolicious-Plugin-Web-Auth

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HAYAJO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::Web::Auth manpage is authentication plugin for the Mojolicious manpage.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes examples
%perl_vendor_privlib/M*

%changelog
* Mon Apr 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1
- updated by package builder

* Mon Apr 15 2019 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- updated by package builder

* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- regenerated from template by package builder

* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Thu Oct 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Thu Mar 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

